import * as d3 from 'd3';
import { Scale } from './Scale';
export declare class OrdinalColorScale extends Scale {
    render(): void;
    set_range(): void;
    model_domain_changed(): void;
    colors_changed(): void;
    scale: d3.ScaleOrdinal<string, number>;
}
